commit:     4a1e10b86f4aaed1e78e3285791551f90c40c834
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 28 08:30:00 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 08:43:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a1e10b8

dev-python/tqdm: Bump to 4.54.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/tqdm/Manifest           |  1 +
 dev-python/tqdm/tqdm-4.54.0.ebuild | 50 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/tqdm/Manifest b/dev-python/tqdm/Manifest
index aa177a5349b..f50db098ac1 100644
--- a/dev-python/tqdm/Manifest
+++ b/dev-python/tqdm/Manifest
@@ -1,2 +1,3 @@
 DIST tqdm-4.51.0.tar.gz 152976 BLAKE2B 
f9cef9de6a77c21e40394edd006fbd8fa913af4d3a9a8ac68bd9fde81b1eebc404f6fab90d9aadc57ce2ccfbc3a2f8d8879b151f6283dc34edc25d70f69ae6e1
 SHA512 
04bb2a173b9b79b76844fedbc14572fa955232d1dcb6ac55b7265c4cc7a4f712f2c2965ac3bcb9e10ea1bd041593230b047365816bf508d457d873a2d4830d3f
 DIST tqdm-4.53.0.tar.gz 179940 BLAKE2B 
022fd8eae70a38306d201981bd6c2e469791abc86e3e10bf2bcbe4936e4e6791dc24b3e064c6adb830fd908a1544389fdba8f7017bee17632925c1bcc3d42349
 SHA512 
ffb06058a71e31497ced0b6b5ce8671a7e958968e0a08e1b68dc9f3a9acac415c1708f6669d369ab484bbc07a8fc06716ed32fde70f22c0dbd8242417f95a713
+DIST tqdm-4.54.0.tar.gz 178664 BLAKE2B 
68d0f054b2c95079e13ad9df3e9467f48925311151e5eed94795d3fab232301da99c2704daafd80f748037a467d25416913f0921d6b7c44d725c5ed6861fe347
 SHA512 
dbb2a61df848ebd84ab805134b7e7297e1cf7626abaa830a08159ce7b1852eba40a6a7f2cc7c8445294a184bbfbd69bf08430371f3e2d71f6a622a271ba49e95

diff --git a/dev-python/tqdm/tqdm-4.54.0.ebuild 
b/dev-python/tqdm/tqdm-4.54.0.ebuild
new file mode 100644
index 00000000000..d525d19a374
--- /dev/null
+++ b/dev-python/tqdm/tqdm-4.54.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( pypy3 python3_{6,7,8,9} )
+
+inherit distutils-r1
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/tqdm/tqdm";
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+DESCRIPTION="Add a progress meter to your loops in a second"
+HOMEPAGE="https://github.com/tqdm/tqdm";
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="examples"
+
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       dev-python/toml[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+       # Skip unpredictable performance tests
+       pytest -vv --ignore 'tests/tests_perf.py' ||
+               die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+       doman "${BUILD_DIR}"/lib/tqdm/tqdm.1
+       rm "${BUILD_DIR}"/lib/tqdm/tqdm.1 || die
+       distutils-r1_python_install
+}
+
+python_install_all() {
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+       distutils-r1_python_install_all
+}

Reply via email to